#
# spec file for package xmms-plugins (Version 1.2.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa alsa-devel audiofile avifile esound esound-devel freetype glib glib-devel gltt gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel imlib imlib-devel kdelibs-artsd libgpp libjpeg libmikmo libogg libogg-devel libpng libsap libvorbis libvorbis-devel libxml libxml-devel lirc mesa mesa-devel mesaglut mesaglut-devel mesasoft orbit orbit-devel qt qt-devel qt-freebies quicktime4linux quicktime4linux-devel sidplay xdevel xf86 xf86glu xf86glu-devel xmms
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake avifile base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex freetype freetype2 gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gltt gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd kdelibs-artsd less libgpp libjpeg libmikmo libogg libogg-devel libpng libsap libtool libvorbis libvorbis-devel libxml libxml-devel libz lirc m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps qt qt-devel qt-freebies quicktime4linux quicktime4linux-devel rcs readline rpm sendmail sh-utils shadow sidplay strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xmms xshared

Name:         xmms-plugins
%define my_provides /tmp/my-provides
Provides: libxmms_singit.so
Copyright:    GPL
Group:        X11/Applications/Multimedia
Autoreqprov:  on
Summary:      XMMS plugins
Version:      1.2.5
Release:      119
Source1:      modplugxmms-1.5a.tar.bz2
Source2:      infinity-0.2.tar.bz2
Source5:      lirc-xmms-plugin-1.2.tar.bz2
Source6:      volnorm-0.8.1.tar.bz2
Source7:      xmms-nsf-0.0.3.tar.bz2
Source8:      xymms-0.9.1.tar.bz2
Source9:      Blursk-1.1.tar.bz2
Source10:     xmms-singit-0.1.15.tar.bz2
Source11:     xmms-goodnight-0.3.0.tar.bz2
Source12:     xmms-crossfade-0.2.9.tar.bz2
Source13:     synaesthesia-xmms-0.0.3-rc3.tar.bz2
Source14:     xmms-sidplay-0.40.tar.bz2
Source15:     spcxmms-0.2.1.tar.bz2
Source16:     gforce-1.1.6xp3.tar.bz2
Source17:     avi-xmms-1.2.2.tar.bz2
Source18:     xmms_goom_1.7-src.tar.bz2
Source19:     jess-2.0.0.tar.bz2
Source20:     blur_scope_max-1.3.tar.bz2
Source21:     Zon-0.04.tar.bz2
Source22:     insap-0.4.tar.bz2
Source23:     pitch-plugin-xmms.tar.gz
Source24:     waterfall-0.11.tar.bz2
Source25:     jakdaw-0.0.4.tar.bz2
Source26:     sndstretch_xmms-0.4.tar.bz2
Source28:     qt-xmms-0.1.0.tar.bz2
Source29:     fishmatic.tar.bz2
Source30:     Jaws.tar.bz2
Source31:     lava-0.7.tar.bz2
Source32:     crystality-plugin-0.92.tar.bz2
Patch2:       infinity-0.2.dif
#Patch5:      normalize-volume-0.3.1.dif
#Patch6:       xmms-nsf-0.0.2.dif
Patch7:       xmms-singit-0.1.15.dif
Patch9:       Blursk-1.1.dif
Patch10:      gforce-1.1.6xp3.dga.patch.gz
Patch11:      xmms_goom_1.7.dif
Patch13:      Zon-0.04.dif
Patch14:      pitch.dif
Patch15:      jess-2.0.0.dif
Patch16:      blur_scope_max-1.3.dif
Patch17:      sndstretch_xmms.dif
Patch20:      jakdaw-0.0.4.dif
Patch21:      waterfall-0.11.dif
Patch22:      Jaws.dif
Patch23:      crystality-plugin-0.92.dif
Patch24:      lava-0.7.dif

%description
This package contains various visualization, effect, input, and output
plug-ins for the XMMS media player.

Authors:
--------
    Steve Kirkendall <kirkenda@cs.pdx.edu>
    Julien Carme <julien.carme@acm.org>
    Haavard Kvaalen <havardk@xmms.org>
    Mitja Horvat <Mitja.Horvat@hermes.si>
    Carl van Schaik <carl@leg.uct.ac.za>
    Martin Weghofer
    Christoph Bartelmus <xmms@bartelmus.de>
    Holger Kiel <hk@kforce.de>
    Kenton Varda <temporal@gauge3d.org>
    Olivier Lapicque <olivierl@jps.net>
    Baruch Even <baruch.even@writeme.com>
    Zinx Verituse <zinx@linuxfreak.com>
    Chris Vaill <cvaill@cs.columbia.edu>
    Fumihiko Murata <fmurata@p1.tcnet.ne.jp>
    Willem Monsuwe <willem@stack.nl>
    Shinya Uchimaki <abekiti@mbg.sphere.ne.jp>
    Phillip K. Hornung <falcon@pknet.com>
    George Yohng <yohng@drivex.dosware.8m.com>
    Matt Bardeen <mbardeen@gte.net>
    Andy O'Meara <aco5@cornell.edu>
    Boris Gjenero <bgjenero@sympatico.ca>
    JC Hoelt <jeko@free.fr>
    Remi Arquier <arquier@crans.org>
    Agawa Koji <kaoru-k@self-core.org>
    Gary Henderson <gary@daniver.demon.co.uk>
    Jerremy Koot <jkoot@snes9x.com>
    Peter Eisenlohr <p.eisenlohr@gmx.net>
    Tamas Pal <folti@fiktiv.szgtikol.kando.hu>
    Fredrik Hallenberg <hallon@lysator.liu.se>
    Jan-Marek Glogowski <glogow@vas.fh-darmstadt.de>
    Jared Maguire <jared@choronzon.net>
    Marc Reichman <herbman@baked.org>
    Seth Golub <seth@aigeek.com>
    Michal Kunikowski <kunik@poczta.onet.pl>

SuSE series: snd

%prep
%setup -n xmms-%{version} -c xmms-%{version} -T -a 1 -a 2 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10 -a 11 -a 12 -a 13 -a 14 -a 15 -a 16 -a 17 -a 18 -a 19 -a 20 -a 21 -a 22 -a 23 -a 24 -a 25 -a 26 -a 28 -a 29 -a 30 -a 31 -a 32
cd infinity-0.2
%patch2
cd ../xmms-singit-0.1.15
%patch7
cd ../Blursk-1.1
%patch9
%ifnarch alpha ia64
cd ../gforce-1.1.6xp3
%patch10 -p1
%endif
cd ../xmms_goom_1.7
%patch11
cd ../Zon-0.04
%patch13 -p1
cd ../pitch
%patch14
cd ../jess-2.0.0
%patch15
cd ../blur_scope_max-1.3
%patch16 -p1
cd ../sndstretch_xmms
%patch17
cd ../jakdaw-0.0.4
%patch20 -p1
cd ../waterfall-0.11
%patch21 -p1
cd ../Jaws
%patch22
cd ../crystality-plugin-0.92
%patch23
cd ../lava-0.7
%patch24
cd ..
%{?suse_update_config:%{suse_update_config -f lava-0.7 jakdaw-0.0.4 qt-xmms-0.1.0 waterfall-0.11 blur_scope_max-1.3 xmms_goom_1.7 avi-xmms-1.2.2 spcxmms-0.2.1 synaesthesia-xmms-0.0.3-rc3 modplugxmms-1.5a infinity-0.2 lirc-xmms-plugin-1.2 volnorm-0.8.1 xmms-nsf-0.0.3 xymms-0.9.1 Blursk-1.1 gforce-1.1.6xp3 fishmatic}}

%build
cd lava-0.7
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --datadir=/usr/share
make
%ifnarch alpha ia64
cd ../gforce-1.1.6xp3
CXX="g++ -DNDEBUG $RPM_OPT_FLAGS" CC="gcc -DNDEBUG $RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
export LTCONFIG_VERSION=1.3.3
make CXX="g++ -DNDEBUG $RPM_OPT_FLAGS"
%endif
cd ../crystality-plugin-0.92
export RPM_OPT_FLAGS
make
cd ../Jaws
export QTDIR=/usr/lib/qt2
TMAKEPATH=/usr/lib/tmake/linux-g++ tmake Jaws.pro -o Makefile
make
cd ../fishmatic
CFLAGS="$RPM_OPT_FLAGS" ./configure --libdir=/usr/X11R6/lib
make
cd ../jakdaw-0.0.4
CC="gcc $CFLAGS -DNDEBUG $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../qt-xmms-0.1.0
libtoolize --force
aclocal
autoconf
CC="gcc $CFLAGS -DNDEBUG $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../sndstretch_xmms
make clean
CFLAGS="-Wall $RPM_OPT_FLAGS" make
cd ../Zon-0.04
CFLAGS="$RPM_OPT_FLAGS" make
cd ../insap-0.4
CC="gcc $RPM_OPT_FLAGS" make
cd ../pitch
CFLAGS="$RPM_OPT_FLAGS" make
%ifnarch alpha
cd ../waterfall-0.11
CC="gcc $CFLAGS -DNDEBUG $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
%endif
cd ../blur_scope_max-1.3
CC="gcc $CFLAGS -DNDEBUG $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../jess-2.0.0
CFLAGS="$RPM_OPT_FLAGS" make
cd ../xmms_goom_1.7
aclocal
autoconf
CC="gcc $CFLAGS -DNDEBUG $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
%ifarch i386
cd ../avi-xmms-1.2.2
CXXFLAGS="$CXXFLAGS -DNDEBUG $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
%endif
%ifnarch alpha
cd ../spcxmms-0.2.1
CFLAGS="$CFLAGS -DNDEBUG $RPM_OPT_FLAGS" CXXFLAGS="$CXXFLAGS -DNDEBUG $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../xmms-sidplay-0.40
CFLAGS="$CFLAGS -DNDEBUG -I/usr/X11R6/include $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
%endif
cd ../synaesthesia-xmms-0.0.3-rc3
CC="gcc $CFLAGS -DNDEBUG $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../xmms-crossfade-0.2.9
CFLAGS="$CFLAGS -DNDEBUG $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../xmms-goodnight-0.3.0
CC="gcc $CFLAGS -DNDEBUG -fPIC $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../xmms-singit-0.1.15
CFLAGS="$CFLAGS -DNDEBUG $RPM_OPT_FLAGS " ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share --enable-opengl
make
%ifnarch alpha
cd ../modplugxmms-1.5a
libtoolize --force
aclocal
autoconf
CXX="g++ -DNDEBUG $RPM_OPT_FLAGS " CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make CXX="g++ $RPM_OPT_FLAGS"
%endif
cd ../infinity-0.2
CFLAGS="$CFLAGS -DNDEBUG $RPM_OPT_FLAGS -O3 -fomit-frame-pointer -ffast-math -funroll-loops" ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../lirc-xmms-plugin-1.2
CC="gcc $CFLAGS $RPM_OPT_FLAGS" ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../volnorm-0.8.1
CC="gcc $CFLAGS $RPM_OPT_FLAGS" ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../xmms-nsf-0.0.3
CFLAGS="$CFLAGS $RPM_OPT_FLAGS" ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../xymms-0.9.1
CFLAGS="$CFLAGS $RPM_OPT_FLAGS" ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share
make
cd ../Blursk-1.1
CC="gcc $CFLAGS $RPM_OPT_FLAGS" ./configure \
  --prefix=/usr/X11R6 --datadir=/usr/share --libdir=/usr/X11R6/lib
make

%install
cd lava-0.7
make install
cd ../crystality-plugin-0.92
make install
cd ../fishmatic
make install
cd ../jakdaw-0.0.4
make install
cd ../qt-xmms-0.1.0
make install
cd ../sndstretch_xmms
make install
cd ../Zon-0.04
make install
%ifnarch alpha
cd ../waterfall-0.11
make install
%endif
cd ../insap-0.4
make install
cd ../pitch
install -m 755 libpitch.so `xmms-config --effect-plugin-dir`
cd ../blur_scope_max-1.3
make install
cd ../jess-2.0.0
cp .libs/libjess.so /usr/X11R6/lib/xmms/Visualization
chmod 755 /usr/X11R6/lib/xmms/Visualization/libjess.so
cd ../xmms_goom_1.7
make install
%ifnarch alpha ia64
cd ../gforce-1.1.6xp3
export LTCONFIG_VERSION=1.3.3
make install
rm -fr /usr/share/gforce/docs
strip /usr/X11R6/bin/gforce
%endif
%ifarch i386
cd ../avi-xmms-1.2.2
make install
%endif
%ifnarch alpha
cd ../spcxmms-0.2.1
make install
cd ../xmms-sidplay-0.40
make install
%endif
cd ../synaesthesia-xmms-0.0.3-rc3
make install
cd ../xmms-crossfade-0.2.9
make install
cd ../xmms-goodnight-0.3.0
make install
cd ../xmms-singit-0.1.15
make install
%ifnarch alpha
cd ../modplugxmms-1.5a
make install
%endif
cd ../infinity-0.2
make install
cd ../lirc-xmms-plugin-1.2
make install
cd ../volnorm-0.8.1
make install
cd ../xmms-nsf-0.0.3
make install
cd ../xymms-0.9.1
make install
cd ../Blursk-1.1
make install
rm -f /usr/X11R6/lib/xmms/*/*.a
cd ../lava-0.7
install -d -m 755 %{_docdir}/xmms/lava
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README %{_docdir}/xmms/lava
cd ../crystality-plugin-0.92
install -d -m 755 %{_docdir}/xmms/crystality
install -m 644 COPYING ChangeLog README %{_docdir}/xmms/crystality
cd ../Jaws
install -d -m 755 %{_docdir}/xmms/Jaws
install -m 644 INSTALL LICENSE.GPL %{_docdir}/xmms/Jaws
cd ../fishmatic
install -d -m 755 %{_docdir}/xmms/fishmatic
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README %{_docdir}/xmms/fishmatic
cd ../jakdaw-0.0.4
install -d -m 755 %{_docdir}/xmms/jakdaw
install -m 644 README AUTHORS ChangeLog COPYING INSTALL NEWS %{_docdir}/xmms/jakdaw
cd ../qt-xmms-0.1.0
install -d -m 755 %{_docdir}/xmms/qt-xmms
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README TODO %{_docdir}/xmms/qt-xmms
cd ../sndstretch_xmms
install -d -m 755 %{_docdir}/xmms/sndstretch
install -m 644 COPYING ChangeLog INSTALL README TODO %{_docdir}/xmms/sndstretch
cd ../Zon-0.04
install -d -m 755 %{_docdir}/xmms/Zon
install -m 644 AUTHORS COPYING %{_docdir}/xmms/Zon
cd ../insap-0.4
install -d -m 755 %{_docdir}/xmms/insap
install -m 644 CHANGELOG README TODO %{_docdir}/xmms/insap
%ifnarch alpha
cd ../waterfall-0.11
install -d -m 755 %{_docdir}/xmms/waterfall
install -m 644 AUTHORS COPYING ChangeLog HISTORY INSTALL README TODO %{_docdir}/xmms/waterfall
%endif
cd ../blur_scope_max-1.3
install -d -m 755 %{_docdir}/xmms/blur_scope_max
install -m 644  AUTHORS COPYING ChangeLog INSTALL NEWS README %{_docdir}/xmms/blur_scope_max
cd ../jess-2.0.0
install -d -m 755 %{_docdir}/xmms/jess
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README %{_docdir}/xmms/jess
cd ../xmms_goom_1.7
install -d -m 755 %{_docdir}/xmms/goom
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README %{_docdir}/xmms/goom
%ifnarch alpha ia64
cd ../gforce-1.1.6xp3
install -d -m 755 %{_docdir}/xmms/gforce
install -m 644 AUTHORS COPYING ChangeLog NEWS README README.2.0 TODO %{_docdir}/xmms/gforce
cp -a docs %{_docdir}/xmms/gforce
%endif
%ifarch i386
cd ../avi-xmms-1.2.2
install -d -m 755 %{_docdir}/xmms/avi-xmms
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README TODO %{_docdir}/xmms/avi-xmms
%endif
%ifnarch alpha
cd ../spcxmms-0.2.1
install -d -m 755 %{_docdir}/xmms/spcxmms
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README %{_docdir}/xmms/spcxmms
cd ../xmms-sidplay-0.40
install -d -m 755 %{_docdir}/xmms/sidplay
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README %{_docdir}/xmms/sidplay
%endif
cd ../synaesthesia-xmms-0.0.3-rc3
install -d -m 755 %{_docdir}/xmms/synaesthesia
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README %{_docdir}/xmms/synaesthesia
cd ../xmms-crossfade-0.2.9
install -d -m 755 %{_docdir}/xmms/crossfade
install -m 644 README TODO COPYING AUTHORS %{_docdir}/xmms/crossfade
cd ../xmms-goodnight-0.3.0
install -d -m 755 %{_docdir}/xmms/goodnight
install -m 644 COPYING INSTALL README TODO %{_docdir}/xmms/goodnight
cd ../xmms-singit-0.1.15
install -d -m 755 %{_docdir}/xmms/singit
install -m 644 ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO %{_docdir}/xmms/singit
%ifnarch alpha
cd ../modplugxmms-1.5a
install -d -m 755 %{_docdir}/xmms/modplug
install -m 644 README AUTHORS COPYING ChangeLog INSTALL TODO %{_docdir}/xmms/modplug
%endif
cd ../infinity-0.2
install -d -m 755 %{_docdir}/xmms/infinity
install -m 644 AUTHORS COPYING ChangeLog INSTALL README %{_docdir}/xmms/infinity
cd ../lirc-xmms-plugin-1.2
install -d -m 755 %{_docdir}/xmms/lirc-xmms
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README lircrc %{_docdir}/xmms/lirc-xmms
cd ../volnorm-0.8.1
install -d -m 755 %{_docdir}/xmms/volnorm
install -m 644 README AUTHORS COPYING ChangeLog INSTALL NEWS TODO %{_docdir}/xmms/volnorm
cd ../xmms-nsf-0.0.3
install -d -m 755 %{_docdir}/xmms/xmms-nsf
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README README.jp %{_docdir}/xmms/xmms-nsf
cd ../xymms-0.9.1
install -d -m 755 %{_docdir}/xmms/xymms
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README README.MAME %{_docdir}/xmms/xymms
cd ../Blursk-1.1
install -d -m 755 %{_docdir}/xmms/Blursk
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README %{_docdir}/xmms/Blursk
# exclude plugins from the provide-list
cat << EOF > %{my_provides}
grep -v /usr/X11R6/lib/xmms | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}
rm -f %{_infodir}/dir.bak.gz

%clean
# rm -rf $RPM_BUILD_ROOT
rm -f %{my_provides}

%files
/usr/X11R6/lib/xmms/General/liblirc.la
/usr/X11R6/lib/xmms/General/liblirc.so
/usr/X11R6/lib/xmms/General/libgoodnight.so
%ifnarch alpha
/usr/X11R6/lib/xmms/Input/libmodplug.la
/usr/X11R6/lib/xmms/Input/libmodplug.so
%endif
#/usr/X11R6/lib/xmms/Visualization/libinfinite.a
/usr/X11R6/lib/xmms/Visualization/libinfinite.la
/usr/X11R6/lib/xmms/Visualization/libinfinite.so
/usr/X11R6/lib/xmms/Effect/libnormvol.*
/usr/X11R6/lib/xmms/Input/libnsf*
/usr/X11R6/lib/xmms/Input/libxymms*
/usr/X11R6/lib/xmms/Visualization/libblursk*
/usr/X11R6/lib/xmms/Visualization/libxmms_singit*
/usr/X11R6/lib/xmms/Visualization/xmms-singit
/usr/X11R6/lib/xmms/Output/libcrossfade*
/usr/X11R6/lib/xmms/Visualization/libsyn*
%ifnarch alpha
/usr/X11R6/lib/xmms/Input/libsid*
/usr/X11R6/lib/xmms/Input/libspc*
%endif
%ifnarch alpha ia64
/usr/X11R6/lib/xmms/Visualization/libgfor*
%endif
%ifarch i386
/usr/X11R6/lib/xmms/Input/libavi*
%endif
/usr/X11R6/lib/xmms/Visualization/libgoom*
/usr/X11R6/lib/xmms/Visualization/libjess*
/usr/X11R6/lib/xmms/Visualization/libbscopemax*
/usr/X11R6/lib/xmms/Visualization/libZon*
/usr/X11R6/lib/xmms/ZoN
/usr/X11R6/lib/xmms/Input/insap*
/usr/X11R6/lib/xmms/Effect/libpitch*
%ifnarch alpha
/usr/X11R6/lib/xmms/Visualization/libwaterfall*
%endif
/usr/X11R6/lib/xmms/Visualization/libjakdaw*
/usr/X11R6/lib/xmms/Effect/sndstretch*
/usr/X11R6/lib/xmms/Output/sndstretch*
/usr/X11R6/lib/xmms/Input/libqt_xmms*
/usr/X11R6/lib/xmms/Visualization/libfish*
/usr/X11R6/lib/xmms/Visualization/libJaws*
/usr/X11R6/lib/xmms/Effect/libcryst*
/usr/X11R6/lib/xmms/Visualization/liblava*
%{_docdir}/xmms/infinity
%{_docdir}/xmms/lirc-xmms
%ifnarch alpha
%{_docdir}/xmms/modplug
%endif
%{_docdir}/xmms/volnorm
%{_docdir}/xmms/xmms-nsf
%{_docdir}/xmms/xymms
%{_docdir}/xmms/Blursk
%{_docdir}/xmms/singit
%{_docdir}/xmms/goodnight
%{_docdir}/xmms/crossfade
%{_docdir}/xmms/synaesthesia
%ifnarch alpha
%{_docdir}/xmms/sidplay
%{_docdir}/xmms/spcxmms
%endif
%ifnarch alpha ia64
%{_docdir}/xmms/gforce
%endif
%ifarch i386
%{_docdir}/xmms/avi-xmms
%endif
%{_docdir}/xmms/goom
%{_docdir}/xmms/jess
%{_docdir}/xmms/blur_scope_max
%{_docdir}/xmms/Zon
%{_docdir}/xmms/insap
%ifnarch alpha
%{_docdir}/xmms/waterfall
%endif
%{_docdir}/xmms/jakdaw
%{_docdir}/xmms/sndstretch
%{_docdir}/xmms/qt-xmms
%{_docdir}/xmms/fishmatic
%{_docdir}/xmms/Jaws
%{_docdir}/xmms/lava
%{_docdir}/xmms/crystality
/usr/share/xmms/infinite_states
/usr/share/locale/*/LC_MESSAGES/xmms-singit.mo
%ifnarch alpha ia64
/usr/X11R6/bin/gforce
/usr/share/gforce
%endif

%changelog -n xmms-plugins
* Sun Sep 16 2001 - schwab@suse.de
- Fix missing declaration.
- Fix Blursk plugin for non-ia32 platforms.
- Fix libtool configuration.
* Mon Sep 03 2001 - ro@suse.de
- libtoolize to build shared lib of qt-xmms
* Sat Sep 01 2001 - schwab@suse.de
- Fix crystality plugin to correctly build shared library.
* Tue Aug 21 2001 - uli@suse.de
- new package (former subpack of xmms)
- fixed crystality plugin (segfault if no config present)
